/*
 * ---------------------------------------------------------------------------
 * 
 * zzzupdate-af.h
 * Copyright (C) 2003 Fabian "zzznowman" Pietsch
 *
 * ---------------------------------------------------------------------------
 *
 */

/* default initial directory (in -af context: default base directory) */
#define ZUAF_INITDIR "/var/share/music"


/* basename for source-of-output indication
 * NOTE: currently only used for usage information in usage()
 */
extern char *basename;

/* initial directories (cf. argc, argv) */
extern int initdirc;
extern char *const *initdirvp;	/* points to first directory argument, if any */

/* initial extension list */
extern int initextc;
extern char *const *initextvp;

/* file/path exclusion list (if set, its last element has to be a NULL pointer) */
extern char *const *exclvp;

/* verbosity level for status & errors */
extern int verbose;


/* save audio file -- do something with gathered file names
 * see zzzupdate-af_saveaf.c
 */
extern int saveaf_init(void);
extern int saveaf(const char *name);
extern int saveaf_deinit(void);
